[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# OnMenuPopupHandler

Unit global variable with the event handler signalled when a pop-up menu is displayed.

## Declaration

Source position: menus.pp line 505

`var OnMenuPopupHandler: TNotifyEvent = Nil;`

## Description

OnMenuPopupHandler is a TNotifyEvent variable which contains the global routine executed when when a pop-up menu is displayed. It is signalled (when assigned) from the Popup method in a TPopUpMenu instance, or from the Click method in a TMenuItem instance. The MenuPopupHandler method in Application is assigned to the variable (by default) during application start up. It is set to Nil when an application is shut down.

## See also

TApplication.MenuPopupHandler |  | Implements the OnMenuPopupHandler for the application.